Subject: Re: question on Cygwin's version of make
From: marco atzeri <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 1 Mar 2012 08:23:24 +0100
List-Id: <cygwin.cygwin.com>

On Thu, Mar 1, 2012 at 8:13 AM, Paul Allen Newell  wrote:
> I've got a C++ tree that is running under Fedora 14, Fedora 16, and Cygwin.
> Everything works.
>
> Tonight, I needed to test something and was on my Windows box, so I did a
> cut-and-paste operation which gave me a directory of "Copy of myStuff". I
> did a make and it worked, but I am seeing a message about "basename: extra
> operand 'myStuff'.
>
> I figured out that the spaces in the MS "Copy of myStuff" were the problem
> and was able to rename w/o spaces and move forward.

names with spaces are always a problem for a lot of unix/cygwin
program, so my suggestion
is to rename the directory.
Please also note that copy&paste will likely mess your file permission

> But I would like to ask if anyone knows what in "make" uses the basename
> command so I can try to either massage the Makefile to deal with it or throw
> a more meaningful error (as in "your directory has spaces in it and there
> will be complaints")?
>
> I also noticed that if I run "make >& make.out" that the message is printed
> to the terminal and is not in make.out. What am I missing to capture all
> output in make.out?

I like this way

make &2>1  |tee make.out

"&2>1"  redirect the error message to the std output

>
> Thanks in advance,
> Paul
>
> ps: I haven't included all the details of cygcheck as I think the issue is
> on my end once I have an idea of why basename is being called -- will gladly
> provide if it helps
>
> --

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple